Subject: Ticket Assigned - Returned order not refunded
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 30 Mar 2023 16:37:27 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returned order not refunded As discussed ok the phone I have refused to collect my order #9418297163 from Lifestyle Arabian center al mizhar and the store and centrepoint customer service confirmed my order is now returned and my refund will be initiated. Now its showing on the system my order is collected not returned and no refund is initiated. I called centrepoint customer service again and they confirmed no return was requested but mow the store collected the product from me and the money also!!
I have a screenshot also from whatsapp from the employee at lifestyle confirming its returned! If this is not resolved ASAP I will report this to consumer rights protection!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5952624